# Manual do usuario de &kde;

2008-10-03
0.01.01
meinproc4
8

# `meinproc4`

Tradutor de &kde; para XML

## Resumo

    meinproc4 --help Opcións xenéricas Opcións de Qt Opcións de KDE --cache ficheiro --check --htdig --srcdir --param chave=valor   -o --output   ficheiro  --stdout --stylesheet xsl ficheiro_docbook

## Descrición

`meinproc4` converte ficheiros DocBook en HTML.

## Opcións xenéricas

`--author`

  Mostra información do autor.

`--help`

  Mostrar axuda acerca das opcións.

`--help-all`

  Mostra todas as opcións.

`--help-kde`

  Mostra as opcións específicas de KDE.

`--help-qt`

  Mostra as opcións específicas de Qt.

`--license`

  Mostra información da licenza.

`-v``--version`

  Mostra información da versión

## Opcións do programa

`--cache` `ficheiro`

  Crea un ficheiro de cache para o documento

`--check`

  Comproba a validez do documento

      A saída pode ser un pouco intimidadora porque un erro pequeno pode causar outros moitos erros.
      O truque é buscar o primeiro erro, corrixilo, gardar o ficheiro e executar meinproc4 de novo.

`--htdig`

  Crea un índice compatíbel con ht://dig

`-o`, `--output` `ficheiro`

  Escribe todo o documento de saída en `ficheiro`.

`--stdout`

  Escribe toda a saída en stdout.

`--stylesheet` `xsl`

  A folla de estilo a usar

`--srcdir` `dir`

  Establece o directorio raíz onde buscar as kdelibs

`--param` chave=valor

  Define os parámetros que se han pasar á folla de estilos.

## Utilización

O xeito máis frecuente de executar `meinproc4` é con

    meinproc4 ficheiro-docbook

onde ficheiro-docbook é xeralmente index.docbook. Esta orde crea páxinas HTML a partir do ficheiro DocBook. Lembre que estas páxinas só se poden ver en navegadores baseados ennnn KDE (como Konqueror).

Se precisa ver o HTML producido en outro navegador (por exemplo, se o vai pór accesíbel na internet), use

    meinproc4 --stylesheet folla_de_estilo ficheiro-docbook

onde folla_de_estilo é a ruta completa a unha das follas de estilo XSL en $KDEDIR/share/apps/ksgmltools/customization. Para obter un resultado axeitado para a web, use `kde-web.xsl` ou `kde-chunk-online.xsl`. Consulte o ficheiro README nese directorio para máis detalles.

## Consulte tamén

kdeoptions(7), qtoptions(7)

## Erros

Probabelmente haxa moitísimos erros. Use bugs.kde.org para informar deles.